Package org.flowable.eventregistry.api

# Interface ChannelDefinitionQuery

All Superinterfaces:
  `Query<ChannelDefinitionQuery,ChannelDefinition>`

public interface ChannelDefinitionQuery extends Query<ChannelDefinitionQuery,ChannelDefinition>
Allows programmatic querying of `ChannelDefinition`s.

Author:
  Tijs Rademakers, Joram Barrez

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChannelDefinitionQuery`
  `channelCategory(String category)`
  Only select channel definitions with the given category.
  `ChannelDefinitionQuery`
  `channelCategoryLike(String categoryLike)`
  Only select channel definitions where the category matches the given parameter.
  `ChannelDefinitionQuery`
  `channelCategoryNotEquals(String categoryNotEquals)`
  Only select channel definitions that have a different category then the given one.
  `ChannelDefinitionQuery`
  `channelCreateTime(Date createTime)`
  Only select channel definitions where the create time is equal to a certain date.
  `ChannelDefinitionQuery`
  `channelCreateTimeAfter(Date createTimeAfter)`
  Only select channel definitions which create time is after a certain date.
  `ChannelDefinitionQuery`
  `channelCreateTimeBefore(Date createTimeBefore)`
  Only select channel definitions which create time is before a certain date.
  `ChannelDefinitionQuery`
  `channelDefinitionId(String channelDefinitionId)`
  Only select channel definition with the given id.
  `ChannelDefinitionQuery`
  `channelDefinitionIds(Set<String> channelDefinitionIds)`
  Only select channel definitions with the given ids.
  `ChannelDefinitionQuery`
  `channelDefinitionKey(String channelDefinitionKey)`
  Only select channel definition with the given key.
  `ChannelDefinitionQuery`
  `channelDefinitionKeyLike(String channelDefinitionKeyLike)`
  Only select channel definitions where the key matches the given parameter.
  `ChannelDefinitionQuery`
  `channelDefinitionKeyLikeIgnoreCase(String keyLikeIgnoreCase)`
  Only select channel definitions where the key matches the given parameter (case-insensitive).
  `ChannelDefinitionQuery`
  `channelDefinitionName(String channelDefinitionName)`
  Only select channel definitions with the given name.
  `ChannelDefinitionQuery`
  `channelDefinitionNameLike(String channelDefinitionNameLike)`
  Only select channel definitions where the name matches the given parameter.
  `ChannelDefinitionQuery`
  `channelDefinitionNameLikeIgnoreCase(String nameLikeIgnoreCase)`
  Only select channel definitions where the name matches the given parameter (case-insensitive).
  `ChannelDefinitionQuery`
  `channelDefinitionResourceName(String resourceName)`
  Only select channel definition with the given resource name.
  `ChannelDefinitionQuery`
  `channelDefinitionResourceNameLike(String resourceNameLike)`
  Only select channel definition with a resource name like the given .
  `ChannelDefinitionQuery`
  `channelVersion(Integer channelVersion)`
  Only select channel definitions with a certain version.
  `ChannelDefinitionQuery`
  `channelVersionGreaterThan(Integer channelVersion)`
  Only select channel definitions which version are greater than a certain version.
  `ChannelDefinitionQuery`
  `channelVersionGreaterThanOrEquals(Integer channelVersion)`
  Only select channel definitions which version are greater than or equals a certain version.
  `ChannelDefinitionQuery`
  `channelVersionLowerThan(Integer channelVersion)`
  Only select channel definitions which version are lower than a certain version.
  `ChannelDefinitionQuery`
  `channelVersionLowerThanOrEquals(Integer channelVersion)`
  Only select channel definitions which version are lower than or equals a certain version.
  `ChannelDefinitionQuery`
  `deploymentId(String deploymentId)`
  Only select channel definitions that are deployed in a deployment with the given deployment id
  `ChannelDefinitionQuery`
  `deploymentIds(Set<String> deploymentIds)`
  Select channel definitions that are deployed in deployments with the given set of ids
  `ChannelDefinitionQuery`
  `implementation(String implementation)`
  Only select the channel definitions with the given implementation.
  `ChannelDefinitionQuery`
  `latestVersion()`
  Only select the channel definitions which are the latest deployed (ie. which have the highest version number for the given key).
  `ChannelDefinitionQuery`
  `onlyInbound()`
  Only select the inbound channel definitions.
  `ChannelDefinitionQuery`
  `onlyOutbound()`
  Only select the outbound channel definitions.
  `ChannelDefinitionQuery`
  `orderByChannelDefinitionCategory()`
  Order by the category of the channel definitions (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ChannelDefinitionQuery`
  `orderByChannelDefinitionId()`
  Order by the id of the channel definitions (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ChannelDefinitionQuery`
  `orderByChannelDefinitionKey()`
  Order by channel definition key (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ChannelDefinitionQuery`
  `orderByChannelDefinitionName()`
  Order by the name of the channel definitions (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ChannelDefinitionQuery`
  `orderByCreateTime()`
  Order by create time (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ChannelDefinitionQuery`
  `orderByDeploymentId()`
  Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ChannelDefinitionQuery`
  `orderByTenantId()`
  Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ChannelDefinitionQuery`
  `parentDeploymentId(String parentDeploymentId)`
  Only select channel definitions that are deployed in a deployment with the given parent deployment id
  `ChannelDefinitionQuery`
  `tenantId(String tenantId)`
  Only select channel definitions that have the given tenant id.
  `ChannelDefinitionQuery`
  `tenantIdLike(String tenantIdLike)`
  Only select channel definitions with a tenant id like the given one.
  `ChannelDefinitionQuery`
  `withoutTenantId()`
  Only select channel definitions that do not have a tenant id.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### channelDefinitionId

    ChannelDefinitionQuery channelDefinitionId(String channelDefinitionId)
    Only select channel definition with the given id.

  - ### channelDefinitionIds

    ChannelDefinitionQuery channelDefinitionIds(Set<String> channelDefinitionIds)
    Only select channel definitions with the given ids.

  - ### channelCategory

    ChannelDefinitionQuery channelCategory(String category)
    Only select channel definitions with the given category.

  - ### channelCategoryLike

    ChannelDefinitionQuery channelCategoryLike(String categoryLike)
    Only select channel definitions where the category matches the given parameter. The syntax that should be used is the same as in SQL, eg. %test%

  - ### channelCategoryNotEquals

    ChannelDefinitionQuery channelCategoryNotEquals(String categoryNotEquals)
    Only select channel definitions that have a different category then the given one.

  - ### channelDefinitionName

    ChannelDefinitionQuery channelDefinitionName(String channelDefinitionName)
    Only select channel definitions with the given name.

  - ### channelDefinitionNameLike

    ChannelDefinitionQuery channelDefinitionNameLike(String channelDefinitionNameLike)
    Only select channel definitions where the name matches the given parameter. The syntax that should be used is the same as in SQL, eg. %test%

  - ### channelDefinitionNameLikeIgnoreCase

    ChannelDefinitionQuery channelDefinitionNameLikeIgnoreCase(String nameLikeIgnoreCase)
    Only select channel definitions where the name matches the given parameter (case-insensitive). The syntax that should be used is the same as in SQL, eg. %test%

  - ### deploymentId

    ChannelDefinitionQuery deploymentId(String deploymentId)
    Only select channel definitions that are deployed in a deployment with the given deployment id

  - ### deploymentIds

    ChannelDefinitionQuery deploymentIds(Set<String> deploymentIds)
    Select channel definitions that are deployed in deployments with the given set of ids

  - ### parentDeploymentId

    ChannelDefinitionQuery parentDeploymentId(String parentDeploymentId)
    Only select channel definitions that are deployed in a deployment with the given parent deployment id

  - ### channelDefinitionKey

    ChannelDefinitionQuery channelDefinitionKey(String channelDefinitionKey)
    Only select channel definition with the given key.

  - ### channelDefinitionKeyLike

    ChannelDefinitionQuery channelDefinitionKeyLike(String channelDefinitionKeyLike)
    Only select channel definitions where the key matches the given parameter. The syntax that should be used is the same as in SQL, eg. %test%

  - ### channelDefinitionKeyLikeIgnoreCase

    ChannelDefinitionQuery channelDefinitionKeyLikeIgnoreCase(String keyLikeIgnoreCase)
    Only select channel definitions where the key matches the given parameter (case-insensitive). The syntax that should be used is the same as in SQL, eg. %test%

  - ### channelVersion

    ChannelDefinitionQuery channelVersion(Integer channelVersion)
    Only select channel definitions with a certain version. Particularly useful when used in combination with `channelDefinitionKey(String)`

  - ### channelVersionGreaterThan

    ChannelDefinitionQuery channelVersionGreaterThan(Integer channelVersion)
    Only select channel definitions which version are greater than a certain version.

  - ### channelVersionGreaterThanOrEquals

    ChannelDefinitionQuery channelVersionGreaterThanOrEquals(Integer channelVersion)
    Only select channel definitions which version are greater than or equals a certain version.

  - ### channelVersionLowerThan

    ChannelDefinitionQuery channelVersionLowerThan(Integer channelVersion)
    Only select channel definitions which version are lower than a certain version.

  - ### channelVersionLowerThanOrEquals

    ChannelDefinitionQuery channelVersionLowerThanOrEquals(Integer channelVersion)
    Only select channel definitions which version are lower than or equals a certain version.

  - ### latestVersion

    ChannelDefinitionQuery latestVersion()
    Only select the channel definitions which are the latest deployed (ie. which have the highest version number for the given key). Can also be used without any other criteria (ie. query.latestVersion().list()), which will then give all the latest versions of all the deployed channel definitions.
    Throws:
      `FlowableIllegalArgumentException` - if used in combination with {`channelVersion(Integer)` or `deploymentId(String)`

  - ### onlyInbound

    ChannelDefinitionQuery onlyInbound()
    Only select the inbound channel definitions.

  - ### onlyOutbound

    ChannelDefinitionQuery onlyOutbound()
    Only select the outbound channel definitions.

  - ### implementation

    ChannelDefinitionQuery implementation(String implementation)
    Only select the channel definitions with the given implementation. e.g. jms, rabbit.

  - ### channelCreateTime

    ChannelDefinitionQuery channelCreateTime(Date createTime)
    Only select channel definitions where the create time is equal to a certain date.

  - ### channelCreateTimeAfter

    ChannelDefinitionQuery channelCreateTimeAfter(Date createTimeAfter)
    Only select channel definitions which create time is after a certain date.

  - ### channelCreateTimeBefore

    ChannelDefinitionQuery channelCreateTimeBefore(Date createTimeBefore)
    Only select channel definitions which create time is before a certain date.

  - ### channelDefinitionResourceName

    ChannelDefinitionQuery channelDefinitionResourceName(String resourceName)
    Only select channel definition with the given resource name.

  - ### channelDefinitionResourceNameLike

    ChannelDefinitionQuery channelDefinitionResourceNameLike(String resourceNameLike)
    Only select channel definition with a resource name like the given .

  - ### tenantId

    ChannelDefinitionQuery tenantId(String tenantId)
    Only select channel definitions that have the given tenant id.

  - ### tenantIdLike

    ChannelDefinitionQuery tenantIdLike(String tenantIdLike)
    Only select channel definitions with a tenant id like the given one.

  - ### withoutTenantId

    ChannelDefinitionQuery withoutTenantId()
    Only select channel definitions that do not have a tenant id.

  - ### orderByChannelDefinitionCategory

    ChannelDefinitionQuery orderByChannelDefinitionCategory()
    Order by the category of the channel definitions (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByChannelDefinitionKey

    ChannelDefinitionQuery orderByChannelDefinitionKey()
    Order by channel definition key (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByChannelDefinitionId

    ChannelDefinitionQuery orderByChannelDefinitionId()
    Order by the id of the channel definitions (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByChannelDefinitionName

    ChannelDefinitionQuery orderByChannelDefinitionName()
    Order by the name of the channel definitions (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByDeploymentId

    ChannelDefinitionQuery orderByDeploymentId()
    Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByCreateTime

    ChannelDefinitionQuery orderByCreateTime()
    Order by create time (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByTenantId

    ChannelDefinitionQuery orderByTenantId()
    Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).